# $Revision: 1.20 $, $Date: 2004/08/26 17:09:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	CSV_File
Summary:	Tie::CSV_File Perl module - ties a csv-file to an array of arrays
Summary(pl):	Modu Perla Tie::CSV_File - zwizanie pliku CSV z tablic tablic
Name:		perl-Tie-CSV_File
Version:	0.21
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3a9a4a436b96a5e88538264612af3a1e
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Data-Compare
BuildRequires:	perl-Params-Validate
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-ManyParams
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Warn >= 0.05
BuildRequires:	perl-Text-CSV_XS
BuildRequires:	perl-Tie-File
BuildRequires:	perl-Tree-DAG_Node
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::CSV_File represents a regular csv file as a Perl array of arrays.
The first dimension of the array represents the line-nr in the
original file, the second dimension represents the col-nr. Both
indices are starting with 0. You can also access with the normal array
value, e.g. $data[-1][-1] stands for the last field in the last line,
or @{$data[1]} stands for the columns of the second line.

%description -l pl
Tie::CSV_File reprezentuje zwyky plik CSV jako perlow tablic
tablic. Pierwszy wymiar reprezentuje numer linii w pliku, drugi wymiar
numer kolumny. Oba indeksy zaczynaj si od 0. Mona korzysta z
wasnoci tablic, np. $data[-1][-1] oznacza ostatnie pole w ostatniej
linii, a @{$data[1]} oznacza kolumny z drugiej linii.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-CSV_File.spec,v $
Revision 1.20  2004/08/26 17:09:35  radek
- release 2 to rebuild

Revision 1.19  2004/08/26 17:07:04  radek
- BR: perl-Tree-DAG_Node

Revision 1.18  2004/08/26 17:03:24  radek
- BR: perl-Test-ManyParams

Revision 1.17  2004/05/06 18:21:20  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.15  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.14  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.13  2004/03/06 19:18:30  adamg
- updated to 0.21

Revision 1.12  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:09:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:07  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:57  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/12 22:20:44  radek
- version 0.19
- tests are back (now passing)

Revision 1.3  2002/09/08 15:50:04  radek
- version 0.16
- added Changes file
- turned tests off by default

Revision 1.2  2002/08/25 18:36:20  qboosh
- pl description

Revision 1.1  2002/08/25 16:00:08  radek
- new, STBR
